<!--
	content.php
	記事内容閲覧画面
	author: Yuki Anezaki
	history: 
		2006/12/30 姉崎 第1版作成
		2007/01/16 姉崎 構造化
-->

<!-- ライブラリの読み込み　-->
<?php
include 'connect.php';
include 'getDBdata.php';
?>

<!-- 入力　-->
<?php
//選択された記事の情報を取得する。
$id = $_REQUEST[id];
$lat = $_REQUEST[lat];
$lon = $_REQUEST[lon];
?>

<!-- 処理 -->
<?php

//データーベースに接続する
connect();

//stym_content から選択された記事を取得する。
$row = getContent($id);
//コメント文から画像、テキスト、GPS情報を分ける
$honbun = splitFulltext($row[fulltext]);

//記事のカテゴリーを取得する
$icon_url_row = getCategory($id);

//記事の住所を取得する
$addr = getAddress($id);
?>

<!-- 関数 （処理用) -->
<?php

//記事から本文を取り出し、GPSデータとコメントを分ける
function splitFulltext($text) {
	if (strlen($text) > 0) {
		//画像があるか判断
		if ((mb_strpos($text, "img src=")) == 1) {
			$honbun_array = spliti(">", $text, 2);
			$honbun_array[0] .= ">";
		} else {
			$honbun_array[0] = "";
			$honbun_array[1] = $text;
		}

		//GPS情報を抜き出す
		if (mb_strpos($honbun_array[1], "[geo:lat")) {
			$comment_array = spliti("\[geo:lat", $honbun_array[1], 2);
			$comment_array[1] = "[geo:lat" . $comment_array[1];
		} else {
			$comment_array[0] = $honbun_array[1];
			$comment_array[1] = "";
		}

		$honbun_array[1] = $comment_array[0];
		$honbun_array[2] = $comment_array[1];
	}
	return $honbun_array;
}
?>

<!-- 表示　-->
<html>
<head>
<title>投稿記事</title>
</head>
<body>
<div id="bg">
<div align="center">
<font size=3>投稿記事</font><br>
<hr>
</div>
<?php

echo $honbun[0] . "<br>";
echo "＜ " . $row[title] . " ＞<br><br>";
echo $honbun[1] . "<br><br>";
echo "カテゴリー：<img src=\"$icon_url_row[url]\" alt=\"$icon_url_row[name]\" width=\"12\" height=\"12\" />$icon_url_row[name]<br>";
echo "場所：$addr<br>";
echo "日時：" . $row[created];
?>

<hr>
<?php echo "[<a href=\"articles.php?lat=$lat&lon=$lon\">周辺記事一覧</a>]";?>
[<a href="index.php">里撮トップ</a>]<!--里撮トップページへ-->
</body>
</html>

