<!--
	entry.php
	投稿画面
	author: Daisuke Nogami
	history: 
		2006/12/30 野上 第1版作成
		2007/01/15 野上たち 構造化
-->

<!-- ライブラリ読込 -->
<?php
	include './connect.php';
	include './printHeader.php';
	include './createAddress.php';
	include './article.php';
?>

<!-- 入力 -->
<?php
	// 入力済みのデータを取得する
	$article = new Article();
	$article->importFromRequest($_REQUEST);
?>

<!-- 処理 -->
<?php
	$inArea = isRange($article->lat, $article->lon);  // 対応エリア内にいるか判定する
	if (!($inArea)) {
		$article->address = "対応範囲外";
	}

	connect();

	if ($article->address == NULL) setAddress($article);   // 現在地の住所を獲得する
	$categoryList = getCategoryList();

	mysql_close();
?>

<!-- 関数（処理用）-->
<?php
	// 対応エリア内にいるか判定する
	function isRange($lat, $lon) {
		if ($lat < 35.40322 && $lat > 35.33970 && $lon > 139.38690 && $lon < 139.46160) {
			return true;
		} else {
			return false;
 		}
	}
	
	// 現在地の住所を獲得する
	function setAddress($article){
		//global $article;
		$article->address = createAddress($article->lat, $article->lon);
	}

	// カテゴリーの選択肢を取得する
	function getCategoryList() {
	
		$query = "SELECT name FROM imo_category;";
	  	if (!($cn = mysql_query($query))) {
			print mysql_error('Database Connect Error: 141');
			die;
		}

		$categoryList = array();
		while ($result = mysql_fetch_array($cn)) {
			array_push($categoryList, $result['name']);
		}

		return $categoryList;
	}
?>

<!-- 出力 -->
<html>

	<!-- ヘッダ -->
	<?php
		printHeader("投稿画面");
	?>

	<!-- 本文 -->
	<body>

		<div id="bg">
		<div align="center">
			<font size=3>投稿画面</font><br>

			<hr>

			<!-- 現在地を表示する -->
			現在地<br>
			<?php
				print $article->address;
			?>

			<br>

			<!-- 記事を入力するフォーム -->
			<form method="POST" action="./entry_check.php"> 
				タイトル<br>
				<input type="text" name="title" value="<?php print $article->title; ?>">
				<br>コメント<br>
				<textarea name="comment" cols="20" rows="4"><?php print $article->comment;?></textarea><br>
				<br>
				<?php
					printCategoryList($article->category, $categoryList);
				?>
				<br><br>
				<input type="hidden" name="address" value=<?php print $article->address; ?>>
				<input type="hidden" name="lat" value=<?php print $article->lat; ?>>
				<input type="hidden" name="lon" value=<?php print $article->lon; ?>>
				<input type="submit" name="sub" value="確認"><br><br>
			</form>

			<!-- フッタ -->
			[<a href="index.php">里撮トップ</a>]<!--里撮トップページへ-->
		</div>
		</div>
	</body>
</html>


<!-- 関数（表示用） -->
<?php
	// カテゴリーの選択肢を表示する
	function printCategoryList($selectedCategory, $categoryList) {
		print 'カテゴリー';
		print '<select name="category">';

		// 選択肢を作成する
		// <option selected>環境</option>
		foreach($categoryList as $category) {
			print '<option';
			if ($category == $selectedCategory) {
				print ' selected';
			}
			print '>';
			print $category;
			print '</option>';
		}

		print '</select>';
		return;
	}



?>
