<!--
	entry_check.php
	投稿確認画面
	author: Daisuke Nogami
	history: 
		2006/ 1/ 5 野上 第1版作成
		2007/01/18 野上 構造化
-->

<!-- ライブラリ読込 -->
<?php
	include './connect.php';
	include './printHeader.php';
	include './createAddress.php';
	include './article.php';
?>

<!-- 入力 -->
<?php 
	$article = new Article();

	$article->importFromRequest($_REQUEST);
?>

<!-- 処理 -->
<?php
	// タイトル、コメントの文字数を調べる
	//$titleLength = countTitleLength($article->title);

	$article->comment = str_replace(" ", "&nbsp;", $article->comment);

	//checkValue();
	$errorMessage = $article->getErrorMessage();
	
	$article->setCreatedTime();

	connect();
	$url = getCategoryIcon($article->category);
	mysql_close();
?>


<!-- 関数（処理用） -->
<?php
	// カテゴリーのアイコンを取得する
	function getCategoryIcon($category) {

		$query = sprintf("SELECT * FROM imo_category WHERE name='%s'", $category);
	  	if (!($cn = mysql_query($query))) {
			print mysql_error();
			die('Database Connect Error: 241');
		}

		$result = mysql_fetch_array($cn);
		$url = $result['url'];
		return $url;
	}
?>


<!-- 出力 -->
<html>
<?php
	//print "hoge";
	printHeader("里撮 投稿内容確認画面");

	if ($errorMessage == NULL) {
		printOrdinalBody($article, $url);
	} else {
		printErrorBody($errorMessage, $article);
	}
?>
</html>


<!-- 関数（表示用） -->
<?php
	function printOrdinalBody($article, $url) {
		print '<body>';
		print '<div id="bg">';
		print '<div align="center">';
		print '<font size=3>内容確認画面</font><br>';
		print '</div>';
		print '<div align="left">';
		print '<hr>現在地<br>';
		print $article->address;

		print '<br><br>タイトル<br>';
		print '<span style="border-width:1; border-color:#000000; border-style:solid; width:100%;">';
		print $article->title;
		print '</span>';

		print '<br><br>コメント<br>';
		print '<span style="border-width:1; border-color:#000000; border-style:solid; width:100%;">';
		print $article->comment;
		print '</span>';

		// カテゴリーを表示する
		print '<br><br>カテゴリー： ';
		//<img src="icon_tour.gif" alt="tour" width="14" height="14" />
		print '<img src="';
		print $url;
		print '" width="14" height="14" />';
		print $article->category;

		// 投稿時間を表示する
		print "<br>投稿時間： ";
		print $article->createdTime;

		print '<br><br>';

		printForm("./entry_complete.php", "送信", $article);
		printForm("./entry.php", "再編集", $article);

		print '<hr>';
		print '[<a href="./index.php">里撮トップ</a>]';

		print '</div>';
		print '</div>';
		print '</body>';
	}
?>

<!-- 関数（表示用） -->
<?php
	// エラーの場合のBODYを表示する
	function printErrorBody($errorMessage, $article) {
		print '<body>';
		print '<div id="bg">';
		print '<div align="center">';
		print $errorMessage;
		print '<br><br>';

		printForm("./entry.php", "再編集", $article);
		print '[<a href="index.php">里撮トップ</a>]';

		print '</div>';
		print '</div>';
		print '</body>';

		return;
	}

	// 投稿ボタンを作成する
	function printForm($nextPageAddress, $buttonName, $article) {
		//<form method="POST" action="./entry.php" target="_top"> 
		print '<form method="POST" action="';
		print $nextPageAddress;
		print '" target="_top">';
		printHidden("title",       $article->title);
		printHidden("comment",     $article->comment);
		printHidden("category",    $article->category);
		printHidden("address",     $article->address);
		printHidden("lat",         $article->lat);
		printHidden("lon",         $article->lon);
		printHidden("createdTime", $article->createdTime);
		print '<input type="submit" value="';
		print $buttonName;
		print '"><br><br>';
		print '</form>';

		return;
	}

	// フォーム文を表示する
	function printHidden($name, $value) {
		print '<input type="hidden" name="';
		print $name;
		print '" value="';
		print $value;
		print '">';
	}
?>
