<!--
	entry_complete.php
	投稿確認画面
	author: Daisuke Nogami
	history: 
		2006/ 1/ 5 野上 第1版作成
		2007/01/18 野上 構造化
-->

<!-- ライブラリ読込 -->
<?php
	include './connect.php';
	include './printHeader.php';
	include './createAddress.php';
	include './createMailaddr.php';
	include './article.php';
?>


<!-- 入力 -->
<?php
	$article = new Article();

	$article->importFromRequest($_REQUEST);
	$article->createdTime = $_REQUEST['createdTime'];
?>

<!-- 処理 -->
<?php
	$article->comment = str_replace(" ", "&nbsp;", $article->comment);

	// あとでトランザクション処理をがんばろう


	// DBとの接続を確立する
	connect();

	// トランザクション処理を行う
  	if (!(mysql_query("begin"))) {
    		die;
  	}

	// DBに記事を投稿する
	$articleID = insertDB($article);

	$mailaddr = createMailAddress($articleID);
	mysql_close();
?>

<!-- 関数（処理） -->
<?php
	// DBに記事／カテゴリー／GISを投稿する
	// １トランザクション処理
	function insertDB($article) {

		// コメントに緯度経度情報を付加する
		$comment = printGIS($article->comment, $article->lat, $article->lon);

		// DBに記事を投稿する
		$query = sprintf("INSERT INTO stym_content values(
			'0', '%s', '', '', '%s', '1', '5', '0', '135', '%s', '76', '', '%s', '0', '0',
			'0000-00-00 00:00:00', '%s', '0000-00-00 00:00:00', '', '',
			'pageclass_sfx= back_button= item_title=1 link_titles= introtext=1 section=0 section_link=0 category=0 category_link=0 rating=0 author=0 createdate=0 modifydate=0 pdf= print= email= keyref= docbook_type=', 
			'1', '0', '0', '', '', '0', '0')", 
			mysql_real_escape_string($article->title),
			mysql_real_escape_string($comment),
			$article->createdTime, $article->createdTime, $article->createdTime);
  		if (!($cn = mysql_query($query))) {
                	//print mysql_error();
			die('Database Connect Error: 321');
  		}
	
		// 今しがた投稿した記事のidをgetする
		$articleID = mysql_insert_id();

		// カテゴリーIDを獲得する
		$category_id = getCategoryID($article->category);

		// カテゴリー情報をINSERTする
		$query = "INSERT INTO content_category values({$articleID}, {$category_id});";
  		if (!($cn = mysql_query($query))) {
        	        print mysql_error();
			die('Database Connect Error: 322');
 		}

		// 緯度経度情報をINSERTする
		$query = "INSERT INTO imo_location values({$articleID}, {$article->lat}, {$article->lon}, '{$article->address}');";
  		if (!($cn = mysql_query($query))) {
               		print mysql_error();
			print $query;
			die('Database Connect Error: 323');
		}
		
		return $articleID;
	}

	// カテゴリーIDを獲得する
	function getCategoryID($category) {
		$query = sprintf("SELECT * FROM imo_category WHERE name='%s'", $category);
	  	if (!($cn = mysql_query($query))) {
			print mysql_error();
			die('Database Connect Error: 341');
		}

		$result = mysql_fetch_array($cn);
		$category_id = $result['category_id'];
		return $category_id;
	}

	// フッタに緯度経度情報を付加する 
	// コメント +  [geo:lat = 35.42389472,geo:lng=139.321890]
	function printGIS($comment, $lat, $lon) {

		// 連結用文字列
		$str1 = '[geo:lat=';
		$str2 = ', geo:lng=';
		$str3 = ']';

		$comment .= $str1;
		$comment .= $lat;
		$comment .= $str2;
		$comment .= $lon;
		$comment .= $str3;

		return $comment;
	}

?>

<!-- 出力 -->
<html>
<?php
	printHeader("投稿完了画面");
?>

	<div id="bg">
	<div align="center">
	<font size=3>投稿完了画面</font><br>
	<hr>
	<br>
	投稿が完了しました。<br><br><br><br>

<?php
	// 投稿用メールアドレスを表示する
	printMailAddress($mailaddr, $article->title);
?>

	<br><br>
	上記のアドレスを選択するとメールが起動します。
	画像を添付して送付することで
	あなたのコメントに画像が加えられます。
	<br><hr>
	<a href="index.php">里撮トップ</a>

	</div>
	</div>
	</body>
</html>

<!-- 関数（出力用）-->
<?php

	// $titleをSJISにして文字化けを失くす！！
	// 投稿用メールアドレスを表示する
	function printMailAddress($mailaddr, $title) {
		print '<a href="mailto:';
		print $mailaddr;
		print '?subject=';
		print $title;
		print '">';
		print $mailaddr;
		print '</a>';
	}

?>
