<!--
	refine.php
	全文あいまい検索用クエリの作成、実行
	author: Yuki Anezaki
	history: 
		2007/01/22 姉崎 初版
-->

<?php

//指定された文字列をスペースで区切り、曖昧検索の部分のクエリを準備します
function partOfQuery($keyword) {
	//大文字スペースを小文字スペースに変換
	$keyword_words = str_replace("　", " ", $keyword);
	//小文字スペースで文字を分割する
	$keyword_array = explode(" ", $keyword_words);

	$where = "";
	for ($k = 0; $k <= count($keyword_array) - 1; $k++) {
		$where .= "( title LIKE '%$keyword_array[$k]%' OR `fulltext` LIKE '%$keyword_array[$k]%')";
		if ($k < count($keyword_array) - 1) {
			$where .= " AND ";
		}
	}
	return $where;
}

//DBから検索語にヒットするものを選び出し、returnで返す。
function keywordQuery($id, $where) {
	$keyword_query = "select * from stym_content where id = '$id' and ($where) ;";
	if (!($keyword_cn = mysql_query($keyword_query))) {
		die;
	}
	$keyword_row = mysql_fetch_assoc($keyword_cn);
	if (!($keyword_row[title] == null)) {
		//DBに検索語にヒットするものがあれば、$search_arrayにIDを格納していく		
		return $id;
	}
}

function getFuzzyReference($keyword, $shows_range) {
	if (strlen($keyword) > 0) {
		//クエリの準備
		$where = partOfQuery($keyword);
		$count_arrayD = count($shows_range);
		for ($t = 0; $t < $count_arrayD; $t++) {
			$keyword_sub_array = keywordQuery($shows_range[$t], $where);
			if(is_numeric($keyword_sub_array)){
				$search_array[] = $keyword_sub_array;
			}
		}
	} else {
		$search_array = $shows_range;
	}
	return $search_array;
}

function timeRefine($from_time,$show_range) {
	//timeの判定をする
	$count_arrayD = count($show_range);
	for ($t = 0; $t < $count_arrayD; $t++) {
		$time_query = "select * from stym_content where id = '$show_range[$t]'and created BETWEEN $from_time AND now() ;";
		if (!($time_cn = mysql_query($time_query))) {
			die;
		}
		$time_row = mysql_fetch_assoc($time_cn);
		if (!($time_row[created] == null)) {
			//$time_array　配列に日時範囲内のものを格納して行く
			$time_array[] = $show_range[$t];
		}
	}
	return $time_array;
}
?>

